package com.genlot.station.viewpagertest;

import androidx.fragment.app.Fragment;

import com.genlot.station.viewpagertest.pager.FlowActivity;

import java.util.ArrayList;
import java.util.List;

/**
 * Copyright (C), 2019-2020, Genlot
 *
 * @author 詹子聪
 * @date 2020/6/24 9:55
 * Description:
 */
public class DemoActivity extends FlowActivity {
    @Override
    protected List<Fragment> getFragments() {
        List<Fragment> fragmentList = new ArrayList<>();
        fragmentList.add(new DemoFragment());
        fragmentList.add(new DemoFragment());
        fragmentList.add(new DemoFragment());
        fragmentList.add(new DemoFragment());

        List<String> titleList = new ArrayList<>();
        titleList.add("one");
        titleList.add("two");
        titleList.add("three");
        titleList.add("four");
        setPagerTitles(titleList);

        return fragmentList;
    }
}
